diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -19682,7 +21012,8 @@ namespace Intervention\Image\Facades {
          */ 
         public static function cache($callback, $lifetime = null, $returnObj = false)
         {
-            return \Intervention\Image\ImageManager::cache($callback, $lifetime, $returnObj);
+                        /** @var \Intervention\Image\ImageManager $instance */
+                        return $instance->cache($callback, $lifetime, $returnObj);
         }
          
     }
@@ -19704,7 +21035,8 @@ namespace anlutro\LaravelSettings {
          */ 
         public static function getDefaultDriver()
         {
-            return \anlutro\LaravelSettings\SettingsManager::getDefaultDriver();
+                        /** @var \anlutro\LaravelSettings\SettingsManager $instance */
+                        return $instance->getDefaultDriver();
         }
         
         /**
@@ -19714,7 +21046,8 @@ namespace anlutro\LaravelSettings {
          */ 
         public static function createJsonDriver()
         {
-            return \anlutro\LaravelSettings\SettingsManager::createJsonDriver();
+                        /** @var \anlutro\LaravelSettings\SettingsManager $instance */
+                        return $instance->createJsonDriver();
         }
         
         /**
@@ -19724,7 +21057,8 @@ namespace anlutro\LaravelSettings {
          */ 
         public static function createDatabaseDriver()
         {
-            return \anlutro\LaravelSettings\SettingsManager::createDatabaseDriver();
+                        /** @var \anlutro\LaravelSettings\SettingsManager $instance */
+                        return $instance->createDatabaseDriver();
         }
         
         /**
@@ -19734,7 +21068,8 @@ namespace anlutro\LaravelSettings {
          */ 
         public static function createMemoryDriver()
         {
-            return \anlutro\LaravelSettings\SettingsManager::createMemoryDriver();
+                        /** @var \anlutro\LaravelSettings\SettingsManager $instance */
+                        return $instance->createMemoryDriver();
         }
         
         /**
@@ -19744,7 +21079,8 @@ namespace anlutro\LaravelSettings {
          */ 
         public static function createArrayDriver()
         {
-            return \anlutro\LaravelSettings\SettingsManager::createArrayDriver();
+                        /** @var \anlutro\LaravelSettings\SettingsManager $instance */
+                        return $instance->createArrayDriver();
         }
         
         /**
@@ -19758,7 +21094,8 @@ namespace anlutro\LaravelSettings {
         public static function driver($driver = null)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \anlutro\LaravelSettings\SettingsManager::driver($driver);
+                        /** @var \anlutro\LaravelSettings\SettingsManager $instance */
+                        return $instance->driver($driver);
         }
         
         /**
@@ -19766,13 +21103,14 @@ namespace anlutro\LaravelSettings {
          *
          * @param string $driver
          * @param \Closure $callback
-         * @return $this 
+         * @return \anlutro\LaravelSettings\SettingsManager 
          * @static 
          */ 
         public static function extend($driver, $callback)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \anlutro\LaravelSettings\SettingsManager::extend($driver, $callback);
+                        /** @var \anlutro\LaravelSettings\SettingsManager $instance */
+                        return $instance->extend($driver, $callback);
         }
         
         /**
@@ -19784,7 +21122,8 @@ namespace anlutro\LaravelSettings {
         public static function getDrivers()
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \anlutro\LaravelSettings\SettingsManager::getDrivers();
+                        /** @var \anlutro\LaravelSettings\SettingsManager $instance */
+                        return $instance->getDrivers();
         }
          
     }
@@ -19808,7 +21147,8 @@ namespace Portal\Services\Auth\TwoFactor {
          */ 
         public static function isEnabled($user)
         {
-            return \Portal\Services\Auth\TwoFactor\Authy::isEnabled($user);
+                        /** @var \Portal\Services\Auth\TwoFactor\Authy $instance */
+                        return $instance->isEnabled($user);
         }
         
         /**
@@ -19819,7 +21159,21 @@ namespace Portal\Services\Auth\TwoFactor {
          */ 
         public static function register($user)
         {
-            return \Portal\Services\Auth\TwoFactor\Authy::register($user);
+                        /** @var \Portal\Services\Auth\TwoFactor\Authy $instance */
+                        return $instance->register($user);
+        }
+        
+        /**
+         * Sends an SMS with a phone verification token.
+         *
+         * @param \Portal\Services\Auth\TwoFactor\Contracts\Authenticatable $user
+         * @return mixed 
+         * @static 
+         */ 
+        public static function sendTwoFactorVerificationToken($user)
+        {
+                        /** @var \Portal\Services\Auth\TwoFactor\Authy $instance */
+                        return $instance->sendTwoFactorVerificationToken($user);
         }
         
         /**
@@ -19832,7 +21186,8 @@ namespace Portal\Services\Auth\TwoFactor {
          */ 
         public static function tokenIsValid($user, $token)
         {
-            return \Portal\Services\Auth\TwoFactor\Authy::tokenIsValid($user, $token);
+                        /** @var \Portal\Services\Auth\TwoFactor\Authy $instance */
+                        return $instance->tokenIsValid($user, $token);
         }
         
         /**
@@ -19844,7 +21199,8 @@ namespace Portal\Services\Auth\TwoFactor {
          */ 
         public static function delete($user)
         {
-            return \Portal\Services\Auth\TwoFactor\Authy::delete($user);
+                        /** @var \Portal\Services\Auth\TwoFactor\Authy $instance */
+                        return $instance->delete($user);
         }
          
     }
@@ -19869,7 +21225,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function attempt($credentials)
         {
             //Method inherited from \Tymon\JWTAuth\JWTAuth            
-            return \Portal\Services\Auth\Api\JWTAuth::attempt($credentials);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->attempt($credentials);
         }
         
         /**
@@ -19881,7 +21238,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function authenticate()
         {
             //Method inherited from \Tymon\JWTAuth\JWTAuth            
-            return \Portal\Services\Auth\Api\JWTAuth::authenticate();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->authenticate();
         }
         
         /**
@@ -19893,7 +21251,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function toUser()
         {
             //Method inherited from \Tymon\JWTAuth\JWTAuth            
-            return \Portal\Services\Auth\Api\JWTAuth::toUser();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->toUser();
         }
         
         /**
@@ -19905,7 +21264,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function user()
         {
             //Method inherited from \Tymon\JWTAuth\JWTAuth            
-            return \Portal\Services\Auth\Api\JWTAuth::user();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->user();
         }
         
         /**
@@ -19918,7 +21278,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function fromSubject($subject)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::fromSubject($subject);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->fromSubject($subject);
         }
         
         /**
@@ -19931,7 +21292,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function fromUser($user)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::fromUser($user);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->fromUser($user);
         }
         
         /**
@@ -19945,19 +21307,21 @@ namespace Tymon\JWTAuth\Facades {
         public static function refresh($forceForever = false, $resetClaims = false)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::refresh($forceForever, $resetClaims);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->refresh($forceForever, $resetClaims);
         }
         
         /**
          * Invalidate a token (add it to the blacklist).
          *
          * @param bool $forceForever
-         * @return $this 
+         * @return \Portal\Services\Auth\Api\JWTAuth 
          * @static 
          */ 
         public static function invalidate($forceForever = true)
         {
-            return \Portal\Services\Auth\Api\JWTAuth::invalidate($forceForever);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->invalidate($forceForever);
         }
         
         /**
@@ -19971,7 +21335,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function checkOrFail()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::checkOrFail();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->checkOrFail();
         }
         
         /**
@@ -19984,7 +21349,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function check($getPayload = false)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::check($getPayload);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->check($getPayload);
         }
         
         /**
@@ -19996,20 +21362,22 @@ namespace Tymon\JWTAuth\Facades {
         public static function getToken()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::getToken();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->getToken();
         }
         
         /**
          * Parse the token from the request.
          *
          * @throws \Tymon\JWTAuth\Exceptions\JWTException
-         * @return $this 
+         * @return \Portal\Services\Auth\Api\JWTAuth 
          * @static 
          */ 
         public static function parseToken()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::parseToken();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->parseToken();
         }
         
         /**
@@ -20020,7 +21388,8 @@ namespace Tymon\JWTAuth\Facades {
          */ 
         public static function getPayload()
         {
-            return \Portal\Services\Auth\Api\JWTAuth::getPayload();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->getPayload();
         }
         
         /**
@@ -20032,7 +21401,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function payload()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::payload();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->payload();
         }
         
         /**
@@ -20045,7 +21415,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function getClaim($claim)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::getClaim($claim);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->getClaim($claim);
         }
         
         /**
@@ -20058,7 +21429,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function makePayload($subject)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::makePayload($subject);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->makePayload($subject);
         }
         
         /**
@@ -20071,58 +21443,63 @@ namespace Tymon\JWTAuth\Facades {
         public static function checkSubjectModel($model)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::checkSubjectModel($model);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->checkSubjectModel($model);
         }
         
         /**
          * Set the token.
          *
          * @param \Tymon\JWTAuth\Token|string $token
-         * @return $this 
+         * @return \Portal\Services\Auth\Api\JWTAuth 
          * @static 
          */ 
         public static function setToken($token)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::setToken($token);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->setToken($token);
         }
         
         /**
          * Unset the current token.
          *
-         * @return $this 
+         * @return \Portal\Services\Auth\Api\JWTAuth 
          * @static 
          */ 
         public static function unsetToken()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::unsetToken();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->unsetToken();
         }
         
         /**
          * Set the request instance.
          *
          * @param \Illuminate\Http\Request $request
-         * @return $this 
+         * @return \Portal\Services\Auth\Api\JWTAuth 
          * @static 
          */ 
         public static function setRequest($request)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::setRequest($request);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->setRequest($request);
         }
         
         /**
          * Set whether the subject should be "locked".
          *
          * @param bool $lock
-         * @return $this 
+         * @return \Portal\Services\Auth\Api\JWTAuth 
          * @static 
          */ 
         public static function lockSubject($lock)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::lockSubject($lock);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->lockSubject($lock);
         }
         
         /**
@@ -20134,7 +21511,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function manager()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::manager();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->manager();
         }
         
         /**
@@ -20146,7 +21524,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function parser()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::parser();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->parser();
         }
         
         /**
@@ -20158,7 +21537,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function factory()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::factory();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->factory();
         }
         
         /**
@@ -20170,33 +21550,36 @@ namespace Tymon\JWTAuth\Facades {
         public static function blacklist()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::blacklist();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->blacklist();
         }
         
         /**
          * Set the custom claims.
          *
          * @param array $customClaims
-         * @return $this 
+         * @return \Portal\Services\Auth\Api\JWTAuth 
          * @static 
          */ 
         public static function customClaims($customClaims)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::customClaims($customClaims);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->customClaims($customClaims);
         }
         
         /**
          * Alias to set the custom claims.
          *
          * @param array $customClaims
-         * @return $this 
+         * @return \Portal\Services\Auth\Api\JWTAuth 
          * @static 
          */ 
         public static function claims($customClaims)
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::claims($customClaims);
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->claims($customClaims);
         }
         
         /**
@@ -20208,7 +21591,8 @@ namespace Tymon\JWTAuth\Facades {
         public static function getCustomClaims()
         {
             //Method inherited from \Tymon\JWTAuth\JWT            
-            return \Portal\Services\Auth\Api\JWTAuth::getCustomClaims();
+                        /** @var \Portal\Services\Auth\Api\JWTAuth $instance */
+                        return $instance->getCustomClaims();
         }
          
     }
@@ -20228,18 +21612,20 @@ namespace Tymon\JWTAuth\Facades {
          */ 
         public static function make($resetClaims = false)
         {
-            return \Tymon\JWTAuth\Factory::make($resetClaims);
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->make($resetClaims);
         }
         
         /**
          * Empty the claims collection.
          *
-         * @return $this 
+         * @return \Tymon\JWTAuth\Factory 
          * @static 
          */ 
         public static function emptyClaims()
         {
-            return \Tymon\JWTAuth\Factory::emptyClaims();
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->emptyClaims();
         }
         
         /**
@@ -20250,7 +21636,8 @@ namespace Tymon\JWTAuth\Facades {
          */ 
         public static function buildClaimsCollection()
         {
-            return \Tymon\JWTAuth\Factory::buildClaimsCollection();
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->buildClaimsCollection();
         }
         
         /**
@@ -20262,31 +21649,34 @@ namespace Tymon\JWTAuth\Facades {
          */ 
         public static function withClaims($claims)
         {
-            return \Tymon\JWTAuth\Factory::withClaims($claims);
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->withClaims($claims);
         }
         
         /**
          * Set the default claims to be added to the Payload.
          *
          * @param array $claims
-         * @return $this 
+         * @return \Tymon\JWTAuth\Factory 
          * @static 
          */ 
         public static function setDefaultClaims($claims)
         {
-            return \Tymon\JWTAuth\Factory::setDefaultClaims($claims);
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->setDefaultClaims($claims);
         }
         
         /**
          * Helper to set the ttl.
          *
          * @param int $ttl
-         * @return $this 
+         * @return \Tymon\JWTAuth\Factory 
          * @static 
          */ 
         public static function setTTL($ttl)
         {
-            return \Tymon\JWTAuth\Factory::setTTL($ttl);
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->setTTL($ttl);
         }
         
         /**
@@ -20297,7 +21687,8 @@ namespace Tymon\JWTAuth\Facades {
          */ 
         public static function getTTL()
         {
-            return \Tymon\JWTAuth\Factory::getTTL();
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->getTTL();
         }
         
         /**
@@ -20308,7 +21699,8 @@ namespace Tymon\JWTAuth\Facades {
          */ 
         public static function getDefaultClaims()
         {
-            return \Tymon\JWTAuth\Factory::getDefaultClaims();
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->getDefaultClaims();
         }
         
         /**
@@ -20319,31 +21711,34 @@ namespace Tymon\JWTAuth\Facades {
          */ 
         public static function validator()
         {
-            return \Tymon\JWTAuth\Factory::validator();
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->validator();
         }
         
         /**
          * Set the custom claims.
          *
          * @param array $customClaims
-         * @return $this 
+         * @return \Tymon\JWTAuth\Factory 
          * @static 
          */ 
         public static function customClaims($customClaims)
         {
-            return \Tymon\JWTAuth\Factory::customClaims($customClaims);
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->customClaims($customClaims);
         }
         
         /**
          * Alias to set the custom claims.
          *
          * @param array $customClaims
-         * @return $this 
+         * @return \Tymon\JWTAuth\Factory 
          * @static 
          */ 
         public static function claims($customClaims)
         {
-            return \Tymon\JWTAuth\Factory::claims($customClaims);
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->claims($customClaims);
         }
         
         /**
@@ -20354,19 +21749,21 @@ namespace Tymon\JWTAuth\Facades {
          */ 
         public static function getCustomClaims()
         {
-            return \Tymon\JWTAuth\Factory::getCustomClaims();
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->getCustomClaims();
         }
         
         /**
          * Set the refresh flow flag.
          *
          * @param bool $refreshFlow
-         * @return $this 
+         * @return \Tymon\JWTAuth\Factory 
          * @static 
          */ 
         public static function setRefreshFlow($refreshFlow = true)
         {
-            return \Tymon\JWTAuth\Factory::setRefreshFlow($refreshFlow);
+                        /** @var \Tymon\JWTAuth\Factory $instance */
+                        return $instance->setRefreshFlow($refreshFlow);
         }
          
     }
@@ -20383,25 +21780,25 @@ namespace Jenssegers\Agent\Facades {
         
         /**
          * Get all detection rules. These rules include the additional
-         * platforms and browsers.
+         * platforms and browsers and utilities.
          *
          * @return array 
          * @static 
          */ 
         public static function getDetectionRulesExtended()
         {
-            return \Jenssegers\Agent\Agent::getDetectionRulesExtended();
+                        return \Jenssegers\Agent\Agent::getDetectionRulesExtended();
         }
         
         /**
          * 
          *
-         * @inheritdoc 
          * @static 
          */ 
         public static function getRules()
         {
-            return \Jenssegers\Agent\Agent::getRules();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getRules();
         }
         
         /**
@@ -20412,7 +21809,58 @@ namespace Jenssegers\Agent\Facades {
          */ 
         public static function getCrawlerDetect()
         {
-            return \Jenssegers\Agent\Agent::getCrawlerDetect();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getCrawlerDetect();
+        }
+        
+        /**
+         * 
+         *
+         * @static 
+         */ 
+        public static function getBrowsers()
+        {
+                        return \Jenssegers\Agent\Agent::getBrowsers();
+        }
+        
+        /**
+         * 
+         *
+         * @static 
+         */ 
+        public static function getOperatingSystems()
+        {
+                        return \Jenssegers\Agent\Agent::getOperatingSystems();
+        }
+        
+        /**
+         * 
+         *
+         * @static 
+         */ 
+        public static function getPlatforms()
+        {
+                        return \Jenssegers\Agent\Agent::getPlatforms();
+        }
+        
+        /**
+         * 
+         *
+         * @static 
+         */ 
+        public static function getDesktopDevices()
+        {
+                        return \Jenssegers\Agent\Agent::getDesktopDevices();
+        }
+        
+        /**
+         * 
+         *
+         * @static 
+         */ 
+        public static function getProperties()
+        {
+                        return \Jenssegers\Agent\Agent::getProperties();
         }
         
         /**
